using SqlSugar;
using System;
using System.ComponentModel;

namespace DeviceRepair.Models
{
    [SugarTable("View_YearsMaintenancePlansExport")]
    public class View_YearsMaintenancePlansExport
    {
        /// <summary>
        /// 设备编号
        /// <summary>
        [DisplayName("设备编号")]
        [SugarColumn(ColumnName = "EquipmentID")]
        public string EquipmentID { get; set; }

        /// <summary>
        /// 设备名称(设备类型)
        /// <summary>
        [DisplayName("设备名称(设备类型)")]
        [SugarColumn(ColumnName = "EquipmentName")]
        public string EquipmentName { get; set; }

        /// <summary>
        /// 型号规格
        /// <summary>
        [DisplayName("型号规格")]
        [SugarColumn(ColumnName = "Specification")]
        public string Specification { get; set; }

        /// <summary>
        /// 制造厂家
        /// <summary>
        [DisplayName("制造厂家")]
        [SugarColumn(ColumnName = "Manufacturer")]
        public string Manufacturer { get; set; }

        /// <summary>
        /// 出厂编号
        /// <summary>
        [DisplayName("出厂编号")]
        [SugarColumn(ColumnName = "SerialNumber")]
        public string SerialNumber { get; set; }

        /// <summary>
        /// 投产年月
        /// <summary>
        [DisplayName("投产年月")]
        [SugarColumn(ColumnName = "UsingDate")]
        public string UsingDate { get; set; }

        /// <summary>
        /// 设备总容量(KW)
        /// <summary>
        [DisplayName("设备总容量(KW)")]
        [SugarColumn(ColumnName = "Totalcapacity")]
        public double Totalcapacity { get; set; }

        /// <summary>
        /// 设备重量(吨)
        /// <summary>
        [DisplayName("设备重量(吨)")]
        [SugarColumn(ColumnName = "Weight")]
        public double Weight { get; set; }

        /// <summary>
        ///	  设备类别
        /// <summary>
        [DisplayName("设备类别")]
        [SugarColumn(ColumnName = "EquipmentCategory")]
        public string EquipmentCategory { get; set; }

        /// <summary>
        /// 设备原值(万元)
        /// <summary>
        [DisplayName("设备原值(万元)")]
        [SugarColumn(ColumnName = "EquipmentOriginalvalue")]
        public decimal EquipmentOriginalvalue { get; set; }

        /// <summary>
        ///  设备状态
        /// <summary>
        [DisplayName("设备状态")]
        [SugarColumn(ColumnName = "EquipmentStatus")]
        public string EquipmentStatus { get; set; }

        /// <summary>
        /// 质保期
        /// <summary>
        [DisplayName("质保期")]
        [SugarColumn(ColumnName = "WarrantyPeriod")]
        public string WarrantyPeriod { get; set; }

        /// <summary>
        ///  安装地点
        /// <summary>
        [DisplayName("安装地点")]
        [SugarColumn(ColumnName = "InstallationLocation")]
        public string InstallationLocation { get; set; }

        /// <summary>
        ///  所属单元
        /// <summary>
        [DisplayName("所属单元")]
        [SugarColumn(ColumnName = "OwningUnit")]
        public string OwningUnit { get; set; }

        /// <summary>
        /// 运行参数
        /// <summary>
        [DisplayName("运行参数")]
        [SugarColumn(ColumnName = "OperatingParameters")]
        public string OperatingParameters { get; set; }

        /// <summary>
        /// 年份
        /// </summary>
        [DisplayName("年份")]
        [SugarColumn(ColumnName = "MaintenanceYear")]
        public int MaintenanceYear { get; set; }

        /// <summary>
        /// 一月
        /// <summary>
        [DisplayName("一月")]
        [SugarColumn(ColumnName = "Jan")]
        public string Jan { get; set; }

        /// <summary>
        /// 二月
        /// <summary>
        [DisplayName("二月")]
        [SugarColumn(ColumnName = "Feb")]
        public string Feb { get; set; }

        /// <summary>
        /// 三月
        /// <summary>
        [DisplayName("三月")]
        [SugarColumn(ColumnName = "Mar")]
        public string Mar { get; set; }

        /// <summary>
        /// 四月
        /// <summary>
        [DisplayName("四月")]
        [SugarColumn(ColumnName = "Apr")]
        public string Apr { get; set; }

        /// <summary>
        /// 五月
        /// <summary>
        [DisplayName("五月")]
        [SugarColumn(ColumnName = "May")]
        public string May { get; set; }

        /// <summary>
        /// 六月
        /// <summary>
        [DisplayName("六月")]
        [SugarColumn(ColumnName = "Jun")]
        public string Jun { get; set; }

        /// <summary>
        /// 七月
        /// <summary>
        [DisplayName("七月")]
        [SugarColumn(ColumnName = "Jul")]
        public string Jul { get; set; }

        /// <summary>
        /// 八月
        /// <summary>
        [DisplayName("八月")]
        [SugarColumn(ColumnName = "Aug")]
        public string Aug { get; set; }

        /// <summary>
        /// 九月
        /// <summary>
        [DisplayName("九月")]
        [SugarColumn(ColumnName = "Sep")]
        public string Sep { get; set; }

        /// <summary>
        /// 十月
        /// <summary>
        [DisplayName("十月")]
        [SugarColumn(ColumnName = "Oct")]
        public string Oct { get; set; }

        /// <summary>
        /// 十一月
        /// <summary>
        [DisplayName("十一月")]
        [SugarColumn(ColumnName = "Nov")]
        public string Nov { get; set; }

        /// <summary>
        /// 十二月
        /// <summary>
        [DisplayName("十二月")]
        [SugarColumn(ColumnName = "Dec")]
        public string Dec { get; set; }

        /// <summary>
        /// 新PM起始月份
        /// <summary>
        [DisplayName("新PM起始月份")]
        [SugarColumn(ColumnName = "PMStartMonth")]
        public DateTime PMStartMonth { get; set; }

        /// <summary>
        /// 设备备注
        /// <summary>
        [DisplayName("设备备注")]
        [SugarColumn(ColumnName = "DriveRemarks")]
        public string DriveRemarks { get; set; }

        /// <summary>
        /// 计划备注
        /// <summary>
        [DisplayName("计划备注")]
        [SugarColumn(ColumnName = "PlanRemarks")]
        public string PlanRemarks { get; set; }
    }
}
